@charset "utf-8";

/*
***********************************
    共通
***********************************
*/

:root {
    --color-main: #FEF2F2;
    --color-accent: #DB1400;
    --font-en: "Inter", sans-serif;
}

html {
    font-size: 62.5%;
}

.pc {
    display: block;
}

.sp {
    display: none;
}

.hidden {
    display: none;
}

/* header */
.header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 99;
    background-color: #FFFFFF;
}

.header__wrap {
    display: flex;
    width: 1296px;
    height: 60px;
    margin: 0 auto;
    justify-content: space-between;
    align-items: center;
}

.header__logoLink {
    opacity: 1;
    transition: .3s ease-in-out;
}

.header__logoLink:hover {
    opacity: 0.7;
}

.header__logoImg {
    height: 36px;
}

.header__navList {
    display: flex;
    column-gap: 32px;
    align-items: center;
    font-size: 1.5rem;
}

.header__navItemLink {
    display: block;
    height: 100%;
    transition: .3s ease-in-out;
}

.header__navItemLink:hover {
    color: var(--color-accent);
}

/* footer */
.footer__copyright {
    padding: 8px 0;
    background-color: var(--color-accent);
    text-align: center;
    color: #FFFFFF;
    font-size: 1.2rem;
}

/* animation */
.fadein {
    opacity: 0;
    transform: translateY(40px);
    transition-property: transform, opacity;
    transition-duration: 1.5s;
    transition-delay: 0s;
}

.fadein.is-fade {
    opacity: 1;
    transform: translateY(0);
}

/* フォントサイズ */
.main {
    font-size: 1.6rem;
}

/*
***********************************
    メインビジュアル
***********************************
*/

.mainVisual {
    position: relative;
    width: 100%;
    padding: 128px 0 136px;
    z-index: 1;
}

.mainVisual__textWrap {
    position: relative;
    display: flex;
    width: 1296px;
    height: 600px;
    margin: 0 auto;
    align-items: center;
}

.mainVisual__text {
    display: flex;
    flex-direction: column;
    align-items: start;
    line-height: 1.5;
    transform: translateY(45%);
    padding: 16px 16px 16px 24px;
    text-shadow: -2px -2px 10px #FFF, 2px -2px 10px #FFF,
        -2px 2px 10px #FFF, 2px 2px 10px #FFF,
        -2px 0 10px #FFF, 0 -2px 10px #FFF,
        2px 0 10px #FFF, 0 2px 10px #FFF;
}

.mainVisual__text-ja {
    font-size: 5.2rem;
    font-weight: 600;
    letter-spacing: 0.1em;
}

.mainVisual__text-en {
    font-size: 2.4rem;
    font-family: var(--font-en);
    line-height: 2.4;
}

.mainVisual__designLine {
    position: absolute;
    bottom: 0;
    left: 0;
    transform: translate(10%, 15%);
    z-index: -1;
}

.mainVisual__figure {
    position: absolute;
    right: 0;
    top: 128px;
    z-index: -1;
    width: 55%;
    height: 600px;
    z-index: -2;
}

.mainVisual__figure::after {
    display: block;
    content: "";
    height: 100%;
    border-radius: 56px 0 0 56px;
    background: var(--color-main);
    position: absolute;
    top: 0;
    animation: wipeMask 1.2s 1.5s ease-in-out both;
}

.mainVisual__img {
    opacity: 0;
    border-radius: 56px 0 0 56px;
    height: 100%;
    width: 100%;
    object-fit: cover;
    animation: wipeimg 1.2s 1.5s cubic-bezier(0.785, 0.135, 0.15, 0.86) both;
}

/* animation */
.mask {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #FFFFFF;
    z-index: 99;
    animation: removeMask 1.5s .8s 1 both;
}

@keyframes removeMask {
    0% {
        opacity: 1;
        z-index: 99;
        display: block;
    }

    99% {
        opacity: 0;
        z-index: 99;
        display: block;
    }

    100% {
        opacity: 0;
        z-index: 0;
        display: none;
    }
}

@keyframes wipeMask {
    0% {
        left: 100%;
        right: 0;
    }

    50% {
        left: 0;
        right: 0;
    }

    52% {
        left: 0;
        right: 0;
    }

    100% {
        left: 0;
        right: 100%;
    }
}

@keyframes wipeimg {
    0% {
        opacity: 0;
    }

    52% {
        opacity: 0;
    }

    53% {
        opacity: 1;
    }

    100% {
        opacity: 1;
    }
}

/*
***********************************
    各セクション
***********************************
*/

.message,
.techInterns {
    position: relative;
    background-color: var(--color-main);
}

.org,
.occupations,
.privacy {
    position: relative;
}

.message__wrap,
.org__wrap,
.occupations__wrap,
.techInterns__wrap,
.privacy__wrap {
    width: 1180px;
    margin: 0 auto;
    padding: 120px 0;
}

.sectionTitle__wrap {
    display: flex;
    flex-direction: column;
    font-size: 2.4rem;
    font-weight: 600;
    color: var(--color-accent);
    margin-bottom: 32px;
    letter-spacing: 0.08em;
    line-height: 1.6;
}

.sectionTitle__wrap-message {
    align-items: center;
}

.sectionTitle__text-en {
    font-family: var(--font-en);
}

/* message */

.message__content {
    width: 624px;
    margin: 0 auto;
}

.message__text {
    text-align: center;
    line-height: 2.5;
    margin-bottom: 2em;
}

/* organization */

.org__content {
    display: flex;
    justify-content: space-between;
}

.org__itemContainer {
    width: 47%;
}

.org__item {
    display: flex;
    column-gap: 32px;
    width: 100%;
}

.org__itemTerm {
    display: flex;
    align-items: center;
    width: 10em;
    color: var(--color-accent);
    font-weight: 600;
    padding: 16px 0;
    border-bottom: solid 1px #D9D9D9;
    flex-shrink: 0;
}

.org__itemDesc {
    padding: 20px 0;
    border-bottom: solid 1px #D9D9D9;
    flex-grow: 1;
}

.org__itemTerm-top1,
.org__itemDesc-top1,
.org__itemTerm-top2,
.org__itemDesc-top2 {
    border-top: solid 1px #D9D9D9;
}

.org__itemLink {
    display: block;
    color: #4C91C8;
    transition: .3s ease-in-out;
}

.org__itemLink:hover {
    opacity: 0.7;
}

/* occupations */

.occupations__wrap {
    display: flex;
    justify-content: space-between;
    align-items: center;
    column-gap: 16px;
    padding: 0 0 120px;
}

.occupations__content {
    display: flex;
    flex-direction: column;
    row-gap: 48px;
}

.occupations__category {
    width: 180px;
    margin-bottom: 12px;
    padding: 1px 0;
    background-color: var(--color-accent);
    border-radius: 999px;
    text-align: center;
    line-height: 1.6;
    color: #FFFFFF;
}

.occupations__desc {
    margin-left: 4px;
}

.occupations__imgContainer {
    width: 600px;
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr 1fr;
    gap: 10px 10px;
    align-items: center;
}

.occupations__figure {
    height: 100%;
}

.occupations__figure-big {
    grid-column: 1/2;
    grid-row: 1/3;
}

.occupations__img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 24px;
}

/* techInterns */

.techInterns__desc {
    margin-bottom: 32px;
}

.techInterns__points {
    display: flex;
    flex-direction: column;
    align-items: start;
}

.techInterns__pointsTitle {
    background-color: var(--color-accent);
    padding: 1px 36px;
    text-align: center;
    line-height: 1.6;
    color: #FFFFFF;
}

.techInterns__pointsList {
    display: flex;
    flex-direction: column;
    row-gap: 10px;
    width: 100%;
    margin-bottom: 32px;
    padding: 24px;
    background-color: #FFFFFF;
    border: solid 1px var(--color-accent);
}

.techInterns__pointItem {
    position: relative;
    display: flex;
    align-items: center;
    padding-left: 1.6em;
}

.techInterns__pointItem::before {
    position: absolute;
    left: 0;
    top: 0.1em;
    content: "\f00c";
    font-family: "Font Awesome 6 Free";
    font-weight: 900;
    color: var(--color-accent);
}

.techInterns__figure {
    overflow-x: auto;
}

.techInterns__img {
    width: 100%;
    min-width: 600px;
    margin-bottom: 8px;
}

.techInterns__link {
    color: #4C91C8;
    text-decoration: underline;
    transition: .3s ease-in-out;
}

.techInterns__link:hover {
    opacity: 0.7;
}

/* privacy */

.privacy__list {
    display: flex;
    flex-direction: column;
    row-gap: 2em;
    counter-reset: num 0;
}

.privacy__bizName {
    text-align: right;
    margin-bottom: 2em;
}

.privacy__date {
    text-align: right;
    margin-top: 2em;
}

.privacy__item {
    position: relative;
    padding-left: 1.6em;
}

.privacy__item::before {
    position: absolute;
    left: 0;
    top: 1px;
    counter-increment: num 1;
    content: counter(num);
    font-family: var(--font-en);
}

/*====================

◆ ブレークポイント
 - 0      〜  479px：スマホ
 - 480px  〜  959px：タブレット
 - 960px  〜 1279px：タブレット(大) / モバイルPC
 - 1280px 〜 1375px：大型PC
 - 1376px 〜       ：大型PC(ヘッダー・メインビジュアル調整用)

====================*/

/* ------------------------------------------
  - 1376px 〜       ：大型PC(ヘッダー・メインビジュアル調整用)
--------------------------------------------*/
@media screen and (max-width:1375px) {
    .header__wrap {
        width: 1180px;
    }

    .mainVisual__textWrap {
        width: 1180px;
        height: 500px;
    }

    .mainVisual__text-ja {
        font-size: 4.6rem;
    }

    .mainVisual__text-en {
        font-size: 2.2rem;
    }

    .mainVisual__figure {
        height: 500px;
    }
}

/* ------------------------------------------
  〜1279px：タブレット(大) / モバイルPC
--------------------------------------------*/
@media screen and (max-width:1279px) {
    .header__wrap {
        width: 90%;
    }

    .mainVisual__textWrap {
        width: 90%;
        height: 400px;
    }

    .mainVisual__figure {
        height: 400px;
    }

    .mainVisual__text-ja {
        font-size: 4.0rem;
    }

    .mainVisual__text-en {
        font-size: 2.0rem;
    }

    .message__wrap,
    .org__wrap,
    .occupations__wrap,
    .techInterns__wrap,
    .privacy__wrap {
        width: 90%;
    }

    .occupations__imgContainer {
        width: 50%;
        min-width: 480px;
    }
}

/* ------------------------------------------
  タブレット
--------------------------------------------*/
@media screen and (max-width:959px) {
    html {
        font-size: 50%;
    }

    .pc {
        display: none;
    }

    .sp {
        display: block;
    }

    /*　
    ハンバーガーメニュー
    */
    .hamburger {
        display: block;
        position: fixed;
        z-index: 99;
        right: 20px;
        top: 8px;
        width: 42px;
        height: 42px;
        cursor: pointer;
        text-align: center;
    }

    .hamburger span {
        display: block;
        position: absolute;
        width: 30px;
        height: 2px;
        left: 6px;
        background: #000000;
        -webkit-transition: 0.5s ease-in-out;
        -moz-transition: 0.5s ease-in-out;
        transition: 0.5s ease-in-out;
    }

    .hamburger span:nth-child(1) {
        top: 10px;
    }

    .hamburger span:nth-child(2) {
        top: 20px;
    }

    .hamburger span:nth-child(3) {
        top: 30px;
    }

    /* 
    ナビ開いてる時のボタン 
    */
    .hamburger.active span:nth-child(1) {
        top: 20px;
        left: 6px;
        -webkit-transform: rotate(315deg);
        -moz-transform: rotate(315deg);
        transform: rotate(315deg);
    }

    .hamburger.active span:nth-child(2),
    .hamburger.active span:nth-child(3) {
        top: 20px;
        -webkit-transform: rotate(-315deg);
        -moz-transform: rotate(-315deg);
        transform: rotate(-315deg);
    }

    .globalMenu {
        position: fixed;
        z-index: 2;
        top: 0;
        left: 0;
        transform: translateY(-100%);
        transition: all 0.6s;
        width: 100%;
        background: #FFFFFF;
        height: auto;
        overflow-y: scroll;
        opacity: 0;
        font-size: 1.8rem;
        margin: 0 auto;
    }

    .globalMenu.active {
        transform: translateY(60px);
        opacity: 1;
    }

    .globalMenu__navList {
        margin: 0 auto;
        padding: 64px 0;
        width: 80%;
    }

    .globalMenu__navItem {
        border-top: 1px solid #D9D9D9;
        transition: .5s;
    }

    .globalMenu__navItem:last-of-type {
        border-bottom: 1px solid #D9D9D9;
    }

    .globalMenu__navItemLink {
        display: block;
        width: 100%;
        height: 100%;
        padding: 16px 4px;
    }

    .mainVisual {
        padding: 0;
    }

    .mainVisual__designLine {
        width: 400px;
    }

    .mainVisual__figure {
        top: 0;
        width: 100%;
    }

    .mainVisual__figure::after {
        border-radius: unset;
    }

    .mainVisual__img {
        border-radius: unset;
    }

    .message__wrap,
    .org__wrap,
    .occupations__wrap,
    .techInterns__wrap,
    .privacy__wrap {
        width: 95%;
        padding: 80px 0;
    }

    .message__content {
        width: auto;
    }

    .org__content {
        flex-direction: column;
    }

    .org__itemContainer {
        width: 100%;
    }

    .org__item {
        column-gap: 16px;
    }

    .org__itemTerm,
    .org__itemDesc {
        padding: 8px 0;
    }

    .org__itemTerm-top2,
    .org__itemDesc-top2 {
        border-top: none;
    }

    .occupations__wrap {
        flex-direction: column;
        align-items: start;
        padding: 0 0 80px;
    }

    .occupations__textContainer {
        width: 100%;
    }

    .occupations__content {
        row-gap: 24px;
        align-items: center;
        width: 100%;
        margin-bottom: 32px;
    }

    .occupations__item {
        width: 100%;
        max-width: 600px;
    }

    .occupations__imgContainer {
        width: 100%;
        min-width: unset;
        max-width: 600px;
        grid-template-columns: 1fr 1fr;
        align-self: center;
    }

    .techInterns__pointsList {
        padding: 16px;
    }
}

/* ------------------------------------------
  スマホ
--------------------------------------------*/
/* スクロールヒント追加 */
@media screen and (max-width:479px) {
    .mainVisual__text {
        padding: 8px 8px 8px 16px;
    }

    .mainVisual__text-ja {
        font-size: 3.0rem;
    }

    .mainVisual__text-en {
        font-size: 1.8rem;
    }

    .mainVisual__designLine {
        width: 90%;
    }

    .message__wrap,
    .org__wrap,
    .techInterns__wrap,
    .privacy__wrap {
        padding: 56px 0;
    }

    .occupations__wrap {
        padding: 0 0 56px;
    }

    .org__item {
        flex-direction: column;
    }

    .org__itemTerm {
        justify-content: center;
        width: 100%;
    }

    .org__itemDesc {
        width: 100%;
    }

    .org__itemDesc-top1 {
        border-top: none;
    }
}